all: msgedo.exe helpcmpp.exe helpinfp.exe keycodep.exe
#all: msgedp.exe

MSGDIR=..\..\msgapi
#COPTS=-oneatx
#COPTS=-d2
COPTS=

.c.obj:
  wcl $(COPTS) -ml -zq -wx -c -DOS2 -DOS216 -D_MSC_VER=6 \
      -I$(MSGDIR) -Ij:\c600\include $<

objs=areas.obj    \
     bmg.obj      \
     config.obj   \
     control.obj  \
     date.obj     \
     dialogs.obj  \
     dirute.obj   \
     dlgbox.obj   \
     fido.obj     \
     getopts.obj  \
     help.obj     \
     init.obj     \
     list.obj     \
     maintmsg.obj \
     makemsgn.obj \
     memextra.obj \
     menu.obj     \
     misc.obj     \
     mnu.obj      \
     msged.obj    \
     mxbt.obj     \
     normalc.obj  \
     nshow.obj    \
     os2scr.obj   \
     quick.obj    \
     quote.obj    \
     readmail.obj \
     screen.obj   \
     strextra.obj \
     system.obj   \
     template.obj \
     textfile.obj \
     userlist.obj \
     vsev.obj     \
     vsevops.obj  \
     win.obj      \
     wrap.obj

msgedo.exe: $(objs)
  wcl $(COPTS) -ml -k16384 -fe=msgedo.exe $(objs) j:\c600\lib\os2.lib

helpcmpp.exe: helpcmp.obj
  wcl -fe=helpcmpp.exe helpcmp.obj

helpinfp.exe: helpinfo.obj
  wcl -fe=helpinfp.exe helpinfo.obj

keycodep.exe: keycode.obj
  wcl -fe=keycodep.exe keycode.obj
